Skip to main content
POST
/
{currency}
/
account
/
ledger
Account Query
curl --request POST \
  --url https://uat-interface.haipay.asia/{currency}/account/ledger \
  --header 'Content-Type: application/json' \
  --data '
{
  "appId": 123,
  "sign": "<string>"
}
'
{
  "status": "<string>",
  "error": "<string>",
  "msg": "<string>",
  "data": {
    "bal": "<string>",
    "availableBal": "<string>",
    "frzBal": "<string>",
    "unSettleBal": "<string>",
    "sign": "<string>"
  }
}

Secret Key & Private Key (Generate Signature)

Path Parameters

currency
string
required

Currency code (ISO 4217, three uppercase letters, e.g. USD, EUR, MXN)

Body

application/json
appId
integer<int64>
required

Business ID (obtained from the backend, must match the currency in the URL)

sign
string
required

Signature

Response

200 - application/json
status
string

Status code

error
string

Error code

msg
string

Message

data
object
Last modified on June 24, 2026